Etiquetas - recebimento de medicamento menor que o previsto [SITETB-59]

07/26/2012 02:00 PM - Maurício Dos Santos

Status: Closed Start date: 08/31/2012

Priority: Low Due date:  

Assignee: Maurício Dos Santos % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente: Medicamentos   

Description

O sistema deve alertar, por meio de etiqueta, quando for registrado o recebimento de quantidade menor de medicamento em

relação ao que foi enviado.

Subtasks:

Feature # 100: Melhoria nas etiquetas do modulo de medicamentos Rejected

History

#1 - 07/26/2012 02:55 PM - Ricardo Memoria

- Target version deleted (Version 2.1)

#2 - 08/22/2012 05:04 PM - Maurício Dos Santos

- Status changed from New to In Progress

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

- Start date set to 08/22/2012

Ricardo,

O sistema nao tem estrutura pra isso...

Temos 3 opções:

1- Generalizar a parte de etiquetas - Acho que o grande dificultador será a query para etiquetas automaticas

2- Criar um outro tipo de etiqueta própria de pedidos - Nao sei se vale o trabalho, quais outras etiquetas os pedidos poderiam ter?

3- Enviar um email ao responsavel quando o recebimento for menor que o pedido e armazenar em um campo boolean se o pedido ta pendente de

uma 'validação' para esse caso tipo validateQuantityReceived e exibir os pedidos pendentes de validação em uma lista que seria acessada por um

link do menu lateral da aba de medicamentos... Apareceriam os pedidos de todas unidades que o usuario tem acesso...

O que acha?

#3 - 08/30/2012 10:02 AM - Ricardo Memoria

- Assignee changed from Ricardo Memoria to Maurício Dos Santos

Inicialmente vamos fazer algo simples:
Na listagem das etiquetas, exibir o ícone da etiqueta ao lado do pedido quando cair do critério acima (qtd rec < qtd env);

Nos detalhes do pedido, exibir o mesmo ícone quando cair nesta situação;

Isso não seria uma etiqueta, apenas usar o mesmo ícone das etiquetas e, em hard code, criar um método que vai indicar se a quantidade recebida é

diferente da quantidade enviada.

Talvez seja melhor criar um novo campo na classe medicineOrder chamado

private boolean diffQuantityReceived;

 

Para ser preenchido automaticamente pelo sistema no momento em que for registrado o recebimento.

OBS.:

Vai precisar fazer script SQL para atualizar os pedidos anteriores, e tem que avisar o povo (UT, Vani e Oleksii) sobre esta mudança para que eles

rodem o SQL.

#4 - 08/31/2012 06:09 PM - Maurício Dos Santos

Ricardo, nao vai ficar muito legal assim nao cara, mas eu vou fazer de qualquer forma e assim que fechar essa tarefa eu vou registrar outra tarefa

pra melhorar esse codigo...

#5 - 08/31/2012 06:23 PM - Maurício Dos Santos

- Status changed from In Progress to Resolved

#6 - 09/03/2012 02:35 PM - Maurício Dos Santos

Não foi possivel fazer uma etiqueta, mas na pesquisa de historico de pedidos agora há uma opção que pode ser marcada, axibindo os pedidos que

se encaixam nessa condição...

#7 - 09/11/2012 11:23 AM - Maurício Dos Santos

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

05/05/2025 2/2

http://www.tcpdf.org

